package cn.com.qmth.stmms.admin.vo;

import java.io.Serializable;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.common.annotation.ExcelField;

public class StatisticsVO implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer examId;
	
	@ExcelField(title = "课程名称", align = 2, sort = 10)
	private String name;

	@ExcelField(title = "课程代码", align = 2, sort = 20)
	private String code;

	@ExcelField(title = "层次", align = 2, sort = 30)
	private String level;

	private String category;

	private String remark;

	@ExcelField(title = "0-49", align = 2, sort = 40)
	private long count0_49;
	
	@ExcelField(title = "0-49占比(%)", align = 2, sort = 50)
	private double percent0_49;
	
	@ExcelField(title = "50-59", align = 2, sort = 60)
	private long count50_59;
	
	@ExcelField(title = "50-59占比(%)", align = 2, sort = 70)
	private double percent50_59;
	
	@ExcelField(title = "60-69", align = 2, sort = 80)
	private long count60_69;
	
	@ExcelField(title = "60-69占比(%)", align = 2, sort = 90)
	private double percent60_69;
	
	@ExcelField(title = "70-79", align = 2, sort = 100)
	private long count70_79;
	
	@ExcelField(title = "70-79占比(%)", align = 2, sort = 110)
	private double percent70_79;
	
	@ExcelField(title = "80-89", align = 2, sort = 120)
	private long count80_89;
	
	@ExcelField(title = "80-89占比(%)", align = 2, sort = 130)
	private double percent80_89;
	
	@ExcelField(title = "90-100", align = 2, sort = 140)
	private long count90_100;
	
	@ExcelField(title = "90-100占比(%)", align = 2, sort = 150)
	private double percent90_100;
	
	@ExcelField(title = "0-60",align = 2,sort = 160)
	private long count0_60;

	@ExcelField(title = "0-60占比(%)", align = 2, sort = 170)
	private double percent0_60;

	@ExcelField(title = "60-100",align = 2,sort = 180)
	private long count60_100;

	@ExcelField(title = "60-100占比(%)", align = 2, sort = 190)
	private double percent60_100;

    @ExcelField(title = "总数", align = 2, sort = 200)
    private long studentCount;

	public StatisticsVO() {
	}

	public StatisticsVO(ExamSubject subject) {
		this.examId = subject.getExamId();
		this.name = subject.getName();
		this.code = subject.getCode();
		this.category = subject.getCategory();
		this.level = subject.getLevel();
		this.remark = subject.getRemark();
	}

	public Integer getExamId() {
		return examId;
	}

	public void setExamId(Integer examId) {
		this.examId = examId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public long getCount0_49() {
		return count0_49;
	}

	public void setCount0_49(long count0_49) {
		this.count0_49 = count0_49;
	}

	public double getPercent0_49() {
		return percent0_49;
	}

	public void setPercent0_49(double percent0_49) {
		this.percent0_49 = percent0_49;
	}

	public long getCount50_59() {
		return count50_59;
	}

	public void setCount50_59(long count50_59) {
		this.count50_59 = count50_59;
	}

	public double getPercent50_59() {
		return percent50_59;
	}

	public void setPercent50_59(double percent50_59) {
		this.percent50_59 = percent50_59;
	}

	public long getCount60_69() {
		return count60_69;
	}

	public void setCount60_69(long count60_69) {
		this.count60_69 = count60_69;
	}

	public double getPercent60_69() {
		return percent60_69;
	}

	public void setPercent60_69(double percent60_69) {
		this.percent60_69 = percent60_69;
	}

	public long getCount70_79() {
		return count70_79;
	}

	public void setCount70_79(long count70_79) {
		this.count70_79 = count70_79;
	}

	public double getPercent70_79() {
		return percent70_79;
	}

	public void setPercent70_79(double percent70_79) {
		this.percent70_79 = percent70_79;
	}

	public long getCount80_89() {
		return count80_89;
	}

	public void setCount80_89(long count80_89) {
		this.count80_89 = count80_89;
	}

	public double getPercent80_89() {
		return percent80_89;
	}

	public void setPercent80_89(double percent80_89) {
		this.percent80_89 = percent80_89;
	}

	public long getCount90_100() {
		return count90_100;
	}

	public void setCount90_100(long count90_100) {
		this.count90_100 = count90_100;
	}

	public double getPercent90_100() {
		return percent90_100;
	}

	public void setPercent90_100(double percent90_100) {
		this.percent90_100 = percent90_100;
	}

	public long getStudentCount() {
		return studentCount;
	}

	public void setStudentCount(long studentCount) {
		this.studentCount = studentCount;
	}

  public long getCount0_60() {
    return count0_60;
  }

  public void setCount0_60(long count0_60) {
    this.count0_60 = count0_60;
  }

  public double getPercent0_60() {
    return percent0_60;
  }

  public void setPercent0_60(double percent0_60) {
    this.percent0_60 = percent0_60;
  }

  public long getCount60_100() {
    return count60_100;
  }

  public void setCount60_100(long count60_100) {
    this.count60_100 = count60_100;
  }

  public double getPercent60_100() {
    return percent60_100;
  }

  public void setPercent60_100(double percent60_100) {
    this.percent60_100 = percent60_100;
  }
}
